html {
  background-color: black;
  --font-multiplier: 1;
  --font-base: 16px;
  font-size: calc(var(--font-base) * var(--font-multiplier)) !important;

  @media screen and (max-width: 400px) {
    --font-base: 15px;
  }
}

body {
  --white: color-mix(in srgb, #ffffff, #000000 5%);

  margin: 0 auto;
  max-width: 1800px;
  background-color: #ffffff;
}

* {
  font-size: calc(1rem * var(--font-multiplier));
}

h1,
h2,
h3,
h4,
h5,
h6 {
  &:has(+ .tagline) {
    margin-bottom: 0;
  }
}

h1 {
  --font-multiplier: 4;
}

h2 {
  --font-multiplier: 3;
}

#site-header {
  width: 100%;
  height: 50vh;
  background-image: url('/assets/images/byc-2.webp');
  background-size: cover;
  color: var(--white);

  h1 {
    width: 100%;
    height: 100%;
    backdrop-filter: blur(4px);
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    text-shadow: 0 0 4px #000000;
    flex-direction: column;

    .tagline {
      --font-multiplier: 1;
    }
  }
}

.presentation {
  margin: 160px 0;
  padding: 0 1rem;
  max-width: 1200px;
}

.bazar,
.cafe {
  display: flex;
  flex-direction: column;
  gap: 2rem;

  > div {
    flex-shrink: 0;
    flex-grow: 1;
    width: 100%;
  }
}

.bazar-categories,
.menu {
  background-image: linear-gradient(to bottom, #ffffffbb), url('/assets/images/logo.svg');
  background-size: 250px;
  background-repeat: no-repeat;
  background-position: bottom -70px right -70px;
}

.bazar-categories {
  background-image: linear-gradient(to bottom, #ffffffbb), url('/assets/images/horadelte.svg');
  background-position: bottom -70px left -70px;
}

.menu {
  box-sizing: border-box;
  max-width: 450px;

  .beverages {
    margin-top: 3rem;
    margin-bottom: 3rem;
    padding: 0;
  }

  .beverage {
    --font-multiplier: 1.6;
    margin-bottom: 1em;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;

    &:last-child {
      margin-bottom: 0;
    }

    &:before {
      content: "";
      order: 2;
      flex-grow: 1;
      border-top: 3px dotted red;
      height: 1px;
    }
  }

  .beverage-name {
    order: 1;
  }

  .beverage-price {
    order: 3;
  }
}

.bazar-categories {
  box-sizing: border-box;
  max-width: 450px;
}

.category-list {
  margin-top: 3rem;
  margin-bottom: 3rem;

  .category {
    --font-multiplier: 1.6;
    margin-bottom: 1em;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.general-information {
  background-color: #7d9564;
  padding-top: 160px;
  border-radius: 40px 40px 0 0;
  color: #ffffffB0;
  --font-multiplier: 3;
  margin-top: 160px;
  border-top: 20px solid color-mix(in srgb, #b68b55, #ffffff 20%);
}

.map {
  margin-top: 160px;
}

.location {
  margin-top: 60px;
}

.address {
  max-width: 460px;
}

.schedule {
  &:after {
    font-size: 68px;
    content: "≎";
    display: block;
    margin: 40px;
  }
}

/**
 * Blocks
 */
.bazar-categories,
.menu
{
  border: 1px solid black;
  mask-image: linear-gradient(black);
  position: relative;
  padding: 3rem;

  > :first-child:before,
  > :first-child:after,
  &:after,
  &:before {
    --size: 50px;
    --offset: -15px;
    content: "";
    position: absolute;
    background-color: white;
    border: 1px solid black;
    display: block;
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    top: var(--offset);;
    left: var(--offset);
  }
  &:after {
    top: unset;
    bottom: var(--offset);
  }

  > :first-child {

    &:after,
    &:before {
      right: var(--offset);
      left: unset;
      top: var(--offset);
    }

    &:after {
      bottom: var(--offset);
      top: unset;
    }
  }
}

.interlude {
  --font-multiplier: 1.2;
  img {
    border-radius: 28px;
    border: 1px solid black;
    max-width: 95%;
  }
}

/**
 * LAYOUTS
 */

.presentation
{
  /**********************
   *     TWO COLUMNS    *
   *********************/
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;

  @media screen and (max-width: 700px) {
    grid-template-columns: 1fr;
  }
}

iframe
{
  /**********************
   *     FULL WIDTH     *
   *********************/
  width: 100%;
}

.interlude,
.schedule,
.location,
.cafe header,
.bazar header
{
  /**********************
   *    CENTERED TEXT   *
   *********************/
  text-align: center;
}

.menu,
.bazar-categories,
.presentation,
.address
{
  /**********************
   * CENTERED CONTAINER *
   *********************/
  margin-left: auto;
  margin-right: auto;
}
